BasedOnExtent (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.BasedOnExtent interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface BasedOnExtent

All Superinterfaces:
  BasedOn, ModelObject, Relationship, java.io.Serializable

    public interface BasedOnExtent

extends BasedOn

Models the relationship between 2 StorageExtents

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.relation.BasedOn
`IBM_COPYRIGHT`

Method Summary
`long` | `getStartingAddress()` Address where the source starts relative to the target
`boolean` | `hasStartingAddress()`
`void` | `setStartingAddress(long address)`

Methods inherited from interface com.collation.platform.model.topology.core.Relationship
`getGenerated, getSource, getTarget, getType, hasGenerated, hasSource, hasTarget, hasType, setGenerated, setSource, setTarget, setType`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getStartingAddress

    long getStartingAddress()
                            throws AttributeNotSetException

  Address where the source starts relative to the target

  Throws:
    `AttributeNotSetException`

### setStartingAddress

    void setStartingAddress(long address)

### hasStartingAddress

    boolean hasStartingAddress()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD